/* ------Post--------- */
.course-list-container{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    /* margin: 20px 0; */
}

@media(max-width:768px){
.course-list-container{
    grid-template-columns: 1fr;
}
}

.course-list-item {
    background-color:white;
    border-radius:10px;
    padding:20px;
}

.course-list-item .post-title h3{
   font-size:20px; 
   margin-bottom:0;
}
.course-list-item .post-title  a{
    text-decoration: none;
     color:black;
}
.course-list-item .post-title a:hover{
    color:var(--sky-blue);
}

.course-list-item .post-date-catg p{
       margin-bottom:0;
}

.course-list-item .post-date-catg {
    display:flex;
    justify-content:space-between
}

.course-list-item .post-content{
     display:flex;
     flex-direction: column;
     row-gap:16px;
     height:100%;
}

.course-list-item .post-thumbnail{
    height:570px;
}

/* @media(max-width:768px){
.course-list-item .post-thumbnail{
    height:250px;
}
} */

.course-list-item .post-thumbnail img{
    width:100%;
    object-fit: cover;
    border-radius: 10px;
}
.course-list-item .post-thumbnail a{
    display: flex;
    height: inherit;
}

.course-list-item .category-badge {
    padding:4px 28px;
    text-transform: uppercase;
}
.course-list-item .post-category {
    line-height: 1;
}
.course-list-item .post-category .category-blogs {
    border:1px solid #CC6626;
    border-radius:20px;
   background-color:#cc662614; 
    color: #CC6626;
}

.course-list-item .post-category .category-news {
    border: 1px solid #247DBF;
    border-radius: 20px;
    background-color: #247dbf17;
    color: #247DBF;
}

.course-list-item .post-category .category-stories {
    border: 1px solid #afbf24;
    border-radius: 20px;
    background-color: #afbf2417;
    color: #afbf24;
}

.course-list-item .post-button{
    background-color: transparent !important;
    color: var(--dark-blue) !important;
    border: 2px solid var(--sky-blue);
    border-radius: 5px;
    text-transform: uppercase;
    font-weight: 600;
    transition: all 0.2s ease;
    cursor: pointer;
    width: 100%;
    line-height: 1 !important;
    text-align: center;
    margin-top:auto;
}
.course-list-item .post-button a{
    text-decoration: none;
    color:black;
    padding: 17px 15px !important;
    display: block;
}
.course-list-item .post-button:hover a{
    color:#fff;
}

.course-list-item .post-button:hover{
 background-color: var(--sky-blue) !important;
    color: var(--dark-blue) !important;
    color: #fff !important;
    border-color: var(--sky-blue);
    text-decoration: none;
}

.course-list-item .rating img{
    width:150px;
}

.course-list-item .rat-cat {
    display:flex;
    justify-content:space-between
}

.course-list-item .category p{
    margin-bottom:0;
    padding:4px 16px;
    background-color:#EDEAF5;
    border-radius:100px;
}
.course-list-item .post-excerpt p{
    margin-bottom:0px;
}

/* ----------------------------------- */
.pace-course-container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
    row-gap: 40px;
}

@media(max-width:1024px){
    .pace-course-container {
 grid-template-columns: 1fr 1fr;
}
}

@media(max-width:768px){
    .pace-course-container {
 grid-template-columns: 1fr;
}
}

.pace-course-container .pace-course-item {
    background-color: white;
    border-radius: 10px;
    padding: 20px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.pace-course-container .pace-course-thumbnail{
    height:250px;
}

.pace-course-thumbnail img{
    border-radius:10px;
    height: 100% !important;
    width:100%
}

.pace-course-content{
display: flex;
    flex-direction: column;
    row-gap: 16px;
}

.pace-course-content .title a{
color:black;
}

.pace-course-content .title a:hover{
color: var(--sky-blue);
text-decoration: none;
}


.pace-course-content h3,
.pace-course-content p{
    margin-bottom:0;
}

.pace-course-container .course-button {
    background-color: transparent !important;
    color: var(--dark-blue) !important;
    border: 2px solid var(--sky-blue);
    padding: 17px 15px !important;
    border-radius: 5px;
    text-transform: uppercase;
    font-weight: 600;
    transition: all 0.2s ease;
    cursor: pointer;
    width: 100%;
    line-height: 1 !important;
    text-align: center;
    margin-top: auto;
}

.pace-course-container .course-button:hover {
    background-color: var(--sky-blue) !important;
    color: #fff !important;
    border-color: var(--sky-blue);
    text-decoration: none;
}

.pace-course-container .course-button a{
    color:black;
}

.pace-course-container .course-button:hover a {
    color: #fff;
    text-decoration: none;
}

/* ---------- */

.related-courses-container{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
    row-gap: 20px;
}

@media (max-width:1024px) {
    .related-courses-container {
        grid-template-columns: 1fr 1fr;
    }
}

@media (max-width:768px) {
    .related-courses-container {
        grid-template-columns: 1fr;
    }
}

.related-course-item{
    background-color: white;
    border-radius: 10px;
    padding: 20px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}
.related-course-item .course-thumbnail{
      height: 250px;
}
.related-course-item .course-thumbnail img{
    width: 100%;
    border-radius: 10px;
    height: 250px;
    object-fit: cover;
}

.related-course-item .post-content {
    display: flex;
    flex-direction: column;
    row-gap: 16px;
    height: 100%;
}

.related-course-item .post-content h3{
    font-size: 20px;
    margin-bottom: 0;
}

.course-title a{
    color:black;
    text-decoration:none;
}

.course-excerpt{
    margin-bottom:0;
}

.course-title a:hover{
   color: var(--sky-blue);
    text-decoration:none;
}

.blue-brdr-btn{
    background-color: transparent !important;
    color: black;
    border: 2px solid var(--sky-blue);
    padding: 17px 15px !important;
    border-radius: 5px;
    text-transform: uppercase;
    font-weight: 600;
    transition: all 0.2s ease;
    cursor: pointer;
    width: 100%;
    line-height: 1 !important;
    text-align: center;
    margin-top: auto;
}

.blue-brdr-btn a{
    text-decoration: none !important;
    color: black ;
}

.blue-brdr-btn:hover {
    background-color: var(--sky-blue) !important;
    color: #fff !important;
    border-color: var(--sky-blue);
    text-decoration: none;
}

.blue-brdr-btn:hover a{
      color: #fff !important;
}

/* ------------------------------------------------- */

.sfwd-courses-template-default .site-content{
    max-width: unset !important;
    margin-left:0 !important;
    margin-right:0 !important;
}

.sfwd-courses-template-default .ld-status-icon,
.sfwd-courses-template-default .ld-item-list-actions{
    display:none !important;
}

.sfwd-courses-template-default .learndash-wrapper .ld-item-list .ld-item-list-item {
    border-left:none !important;
    border-right: none !important;
    border-bottom: none !important;
    border-top: 1px solid black !important;
    border-radius: unset !important;
}
.learndash-wrapper.learndash-widget .ld-progress .ld-progress-bar{
    background:#fff !important;
}

/* .sfwd-courses-template-default .ld-progress-bar{
    border:2px solid #1d64a3;
    height: 20px !important;
} */

/* .sfwd-courses-template-default .ld-progress-bar-percentage{
    height: 20px !important;
} */

/* .sfwd-courses-template-default .learndash-wrapper.learndash-widget .ld-progress{
flex-direction: row !important;
} */

.sfwd-courses-template-default  .ld-section-heading{
    display:none !important; 
}

html body .learndash-wrapper .ld-item-list .ld-item-list-item .ld-item-name {
    color:var(--sky-blue) !important;
    text-decoration: none !important;
}


html body .learndash-wrapper .ld-item-list .ld-item-list-item .ld-item-name:hover {
    text-decoration: underline !important ;
    text-underline-offset: 5px !important;
    color:var(--hover-dark-blue) !important;   
}


/* .sfwd-courses-template-default .ld-progress-stats .ld-progress-percentage{
font-weight: 400 !important;
font-style: italic !important;
} */

.sfwd-courses-template-default .learndash-wrapper .ld-item-list .ld-item-list-item{
background: #ffffff00;
}


.ld-table-list-item {
    background-color:#247DBF;
    margin-left:0 !important;
    margin-right:0 !important;
    border-radius:8px;
}

.ld-table-list-items{
  padding-left:0 !important;
   padding-right:0 !important;
}

.ld-table-list-item  a{
      padding:20px !important;
    margin-top:20px !important;
    color:white !important;
  font-weight:bold;
}

/* ----------- */


.learndash-wrapper .ld-table-list .ld-table-list-header {
    background-color: white !important;
    color:#247dbf !important;
    border-radius:8px;
    border: 2px solid #247dbf;
}

.learndash-wrapper .ld-item-list{
margin: 0 !important;
}

.learndash-wrapper .ld-item-list.ld-lesson-list .ld-lesson-section-heading{
    margin-top:30px !important;
}

.ld-item-title span{
    display:none !important;
}


.learndash-wrapper .ld-item-list .ld-item-list-item{
    margin:0 !important;
}

.learndash-wrapper .ld-item-list .ld-item-list-item .ld-item-list-item-preview{
    padding-top:40px !important;
    padding-bottom:40px !important;
}

.ld-item-title{
    font-weight:bold;
}

.ld-table-list-items > div:last-child{
    margin-bottom:20px !important;
}

.learndash-wrapper .ld-item-list.ld-lesson-list .ld-lesson-section-heading {
    margin-bottom:20px !important;
}

.ld-expand-button .ld-text{
    display:none !important;
}

.learndash-wrapper .ld-expand-button.ld-button-alternate .ld-icon{
    background:transparent !important;
    color:black !important;
}

html body .learndash-wrapper .ld-expand-button.ld-button-alternate:not([disabled]) .ld-icon{
     background-color:transparent !important;
    color:black !important;
}

span.ld-topic-title::before {
    content: "";
     display: inline-block;   /* REQUIRED */
    background:url('/wp-content/uploads/2025/12/file-icon.webp');
    width:40px;
    height:40px;
     background-size: contain;
    background-repeat:no-repeat;
    
}

.ld-table-list-item-quiz .ld-table-list-item-preview::before{
  content: "";
     display: inline-block;   /* REQUIRED */
    /* background:url('/wp-content/uploads/2025/12/file-icon-2.webp'); */
      background:url('/wp-content/uploads/2025/12/file-icon-black.webp');
    width:40px;
    height:40px;
     background-size: contain;
    background-repeat:no-repeat;
}

.ld-topic-title,
.ld-table-list-item-preview{
    display: flex !important;
    align-items: center !important;
    gap:8px;
}

/* -- */
.ld-table-list-item-quiz {
    background-color:#ffffff;
    color:black !important;
    border-radius:8px
}

.ld-table-list-item-quiz a{
     color:black !important;
}

/* 
html body .ld-table-list-item-quiz a{
     color:var(--sky-blue) !important;
}

html body .ld-table-list-item-quiz a:hover{
    text-decoration: underline !important ;
    text-underline-offset: 5px !important;
     color:var(--hover-dark-blue) !important;   

} */
html body .learndash-wrapper .ld-item-list .ld-item-list-item .ld-item-list-item-expanded:before {
    background: #247dbf !important;
}
.learndash-wrapper .ld-topic-list.ld-table-list .ld-table-list-item .ld-table-list-item-preview{
    /* justify-content: space-between !important; */
}

/* for quiz */
.sfwd-courses-template-default .learndash-incomplete .ld-table-list-item-quiz a::after{
    content:'To do';
     padding-right: 22px; 
    margin-left: 6px;
    background: url('/wp-content/uploads/2025/12/black-square.webp')
                no-repeat right center;
    background-size: 16px 16px;
    position: absolute;
    right: 1.5%;
    
}
.sfwd-courses-template-default .learndash-complete .ld-table-list-item-quiz a::after{
    content:'Completed';
     padding-right: 22px; 
    margin-left: 6px;
    background: url('/wp-content/uploads/2025/12/check-box-black.webp')
                no-repeat right center;
    background-size: 16px 16px;
    position: absolute;
    right: 1.5%;
    
}


.sfwd-courses-template-default a.learndash-complete ::after{
    content:'Completed';
    color:#ffffff !important;
     padding-right: 22px; 
    margin-left: 6px;

    background: url('/wp-content/uploads/2025/12/white-tick.webp')
                no-repeat right center;
    background-size: 16px 16px;
    position: absolute;
    right: 1.5%;
    font-size: 16px;
} 

 .sfwd-courses-template-default a.learndash-incomplete ::after{
     content:'To Do';
    color:#ffffff !important;
     padding-right: 22px; 
    margin-left: 6px;

    background: url('/wp-content/uploads/2025/12/white-tick.webp')
                no-repeat right center;
    background-size: 16px 16px;
    position: absolute;
    right: 1.5%;
     font-size: 16px;
} 

.sfwd-courses-template-default .gb-element-ed7e1192{
padding-top:60px;
}

/* ---- */
/* .course-description .ld-item-list-items {
    display:none;
}*/

/* .course-description .learndash-shortcode-wrap-ld_infobar-11452_11452_1{
    display:none;
}  */

.course-description{
    font-size: 24px;
}
.course-description p{
    font-size: inherit;
}

@media(max-width:768px){
    .course-description p{
     font-size:16px;
    }

     .sfwd-courses-template-default a.learndash-incomplete ::after{
     font-size: 14px;
     }

     .sfwd-courses-template-default a.learndash-complete ::after{
         font-size: 14px;
     }
    html body .learndash-wrapper:not(.ld-registration__outer-wrapper):not(.learndash-wrapper--modern) .ld-content-actions .ld-content-action {
        padding:0em !important;
        padding-top: 10px !important;
    }
    html body .learndash-wrapper:not(.ld-registration__outer-wrapper):not(.learndash-wrapper--modern) .ld-content-actions {
        gap: 10px;
    }


}

.breadcrumb a{
    color:black;
}

.ld-lesson-section-heading {
    font-size:24px !important;
}

@media(max-width:768px){
    .ld-lesson-section-heading {
    font-size:20px !important;
}
}

.ld-item-title,
.ld-text,
.ld-topic-title
{
    font-size:20px;
}

.ld-table-list-lesson-details .ld-lesson-list-progress,
.ld-table-list-lesson-details .ld-lesson-list-steps{
     font-size:16px;
}

@media(max-width:768px){
.learndash-wrapper .ld-item-list .ld-item-list-item .ld-item-list-item-preview{
flex-direction:row !important
}
}

.ld-progress.ld-progress-inline {
    margin:0 !important;
}

.ld-progress-bar{
    margin-top:0 !important;
}

.learndash-shortcode-wrap .button{
    padding:16px 32px; 
   background-color:#247dbf !important; 
    border-radius:5px;
}

@media(max-width:768px){
.learndash-shortcode-wrap .button{
    padding:16px 20px; 
}
}

.learndash-shortcode-wrap .button:hover{
      background-color:#0f5c95 !important;
      text-decoration: none;
}

.learndash-shortcode-wrap .button::before{
    content:'Download ';
}

.learndash-wrapper .ld-progress .ld-progress-bar{
    border-radius:4px !important;
}



/* ----------------------------------------------------------------------Course List Page Design------------------------------------------------------------ */
.course-list-container.list-page {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
    row-gap:40px;
}

.course-list-container.list-page .course-list-item .post-thumbnail{
    height:230px;
}

.course-list-load-more{
   text-align: center;
    margin-top: 40px;
}

.course-list-container.list-page .course-list-item
{
   box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

@media(min-width:1441px){
.course-wave-bg{
    background-repeat: round !important;
}
}

@media(max-width:1024px){
.course-list-container.list-page {
    grid-template-columns: 1fr 1fr;
}
}

@media(max-width:768px){
.course-list-container.list-page {
    grid-template-columns: 1fr;
    row-gap: 20px;
}
}

/* ---- */
.google-review-card {
    border:1px solid #DEEBF5;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.google-review-container .owl-stage{
 margin: 52px 2px;
}

.google-review-container .testimonial-review-card {
    /* background-color: #f3faea; */
    border-radius: 7.5px;
    display: flex;
    flex-direction: column;
    padding: 32px;
    width:100%;
    cursor: pointer;
    /* box-shadow: 19px 21px 17px 0 rgba(87, 93, 122, 0.05); */
}

/* .google-review-container .testimonial-review-card:hover {
    transform: translateY(-15px);
    transition: 0.6s;
}
.google-review-container.pop-up .testimonial-review-card:hover {
    transform: none;
    transition: 0.6s;
} */
.google-review-container .testimonial-review-header {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom:62px;
}


.google-review-container .testimonial-review-card .testimonial-review-content {
    flex-grow: 1;
}
.google-review-container .testimonial-review-card .testimonial-review-content a{
    color:#383838;
    opacity:60%;
    text-decoration:none;
    font-size:16px;
}

.google-review-container .owl-stage {
    display: flex; 
    align-items: stretch; 
    margin: 52px 0px;
    margin-bottom: 32px;
}


.google-review-container .testimonial-review-content p {
    margin-bottom:4px;
    font-size:24px;
}

@media(max-width:768px){
.google-review-container .testimonial-review-content p{
    font-size:20px;
}
}

.google-review-container .testimonial-review-header .testimonial-stars{
     display: flex;
     column-gap: 5px;
}
.google-review-container .testimonial-review-header .testimonial-stars .testimonial-star{
    width:30px !important;
    height:30px;
}
.google-review-container .testimonial-logo {
    width: 38px !important;
    height: 28px;
}


.google-review-container .testimonial-reviewer-info {
    display: flex;
    align-items: center;
    gap: 24px;
    margin-top: 62px;
}

.google-review-container .testimonial-reviewer-avatar {
    width: 58px;
    height: 58px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-size: 27px;
    font-weight: bold;
}

.google-review-container .testimonial-reviewer-details .testimonial-reviewer-name h6 {
    margin-bottom:0px;
}

.google-review-container .testimonial-reviewer-details {
    display: flex;
    flex-direction: column;
}
.google-review-container .testimonial-reviewer-details .testimonial-reviewer-position p{
    margin-bottom:0px;
}
.google-review-container .owl-dots .owl-dot span {
  display: none;
  width: 12px;
  height: 12px;
  margin: 0 6px;
  border-radius: 50%;
  background: var(--primary-color);
  opacity: 0.2; /* 20% opacity */
  transition: opacity 0.3s ease;
}
  .google-review-container .owl-dots{
    text-align: center;
}
.testimonial-reviewer-position p{
    /* font-size:20px; */
    color:#05053B;
}
.google-review-container .testimonial-reviewer-details .testimonial-reviewer-name h6{
font-size:24px;
font-weight:bold;
color:#05053B;
}
/* Active dot = full primary color */
.google-review-container .owl-dots .owl-dot.active span {
  opacity: 1;
}
@media(max-width:1024px){
    .pop-up.google-review-container {
        width:80% !important;
    }
}

@media (max-width: 768px) {
    .google-review-container .testimonial-review-card {
        width: 100%;
    }
    .google-review-container .owl-stage{
        margin: 60px 0px;
    }

    .google-review-container .testimonial-review-card .testimonial-review-content a{
        font-size:14px;
    }
}


.pop-up.google-review-container{
    padding:0px;
    width:50%;
    border-radius:15px;
}


/* Specific shadows for each position */

.owl-carousel .owl-item.first-card .testimonial-review-card {
  box-shadow: 14px 5px 20px 1px rgba(0, 0, 0, 0.05); /* First */
}

.owl-carousel .owl-item.second-card .testimonial-review-card {
  box-shadow: 0px 5px 20px 1px rgba(0, 0, 0, 0.05); /* Middle */
}

.owl-carousel .owl-item.last-card .testimonial-review-card {
  box-shadow: -14px 5px 20px 1px rgba(0, 0, 0, 0.05);
}

@media(max-width:1024px){
    .pop-up.google-review-container {
        width:80% !important;
    }
    .owl-carousel .owl-item.second-card .testimonial-review-card:hover {
       box-shadow: -14px 5px 20px 5px rgba(0, 0, 0, 0.1);
    }
}
@media (max-width: 768px) {
    .google-review-container .testimonial-review-card {
        width: 100%;
    }
    .google-review-container .owl-stage{
        padding: 40px 0px;
        margin: 0px 0px;
        padding-bottom: 32px;
    }
}

@media(min-width:1024px){
.google-review-container .second-card {
     border: 1px solid #868686;
    border-radius: 7.5px;
    margin-top: 50px;
}
}

.google-review-container .second-card {   
    transition: margin-top 0.6s ease-in-out;
}


/* Mobile column layout */
@media (max-width: 768px) {

   .google-review-container .testimonial-reviewer-info{
    margin-top:24px;
   }

    .google-review-container.owl-carousel {
        display: flex;
        flex-direction: column;
        gap: 20px;
        height: 100vh;
        overflow-y: auto;
    }
    
    .google-review-container .testimonial-review-card {
        width: 100%;
        margin-top: 0 !important;
        border: 1px solid #DEEBF5;
    }
    
    .google-review-container .owl-stage {
        padding: 0;
        margin: 0;
    }
    
    /* Hide dots on mobile */
    .google-review-container .owl-dots {
        display: none;
    }
    
    /* Remove second-card styles on mobile */
    .google-review-container .second-card {
        margin-top: 0 !important;
        border: 1px solid #DEEBF5;
    }
}


/* ------Course list page styling ----- */
     .course-filter-wrapper {
       display: grid;
       grid-template-columns:1fr 1fr 1fr;
        border-radius: 8px;
        margin-bottom: 40px;
        gap:20px;
        z-index:1;
        position: relative;
        }
        
        .course-filter-wrapper label {
            display: block;
            margin-bottom: 8px;
            font-weight: 600;
            color: #333;
        }
        
        .course-filter-wrapper select {
            width: 100%;
            padding: 10px;
            font-size: 16px;
            border: 2px solid #ddd;
            border-radius: 5px;
            background: white;
            cursor: pointer;
        }
   
.course-filter-wrapper .search-filter{
grid-column-start: 3;
}   

.course-filter-wrapper .search-filter input{
             width: 100%;
            padding: 10px;
            font-size: 16px;
            border: 2px solid #ddd;
            border-radius: 5px;
            background: white;
            cursor: pointer;
        }

.course-filter-wrapper select:focus,
.course-filter-wrapper .search-filter input:focus {
     outline: none;
     border-color: #0073aa;
     }

     .course-list-container{
        min-height: 200px;
     }


     #course-list-container{
     position: relative;
    z-index: 1;
     }

@media(max-width:768px){
 .course-filter-wrapper{
      grid-template-columns:1fr;
 }
 .course-filter-wrapper .search-filter{
grid-column-start: unset;
} 
}  


     